## wsgiproxy2 0.4.5

=== requirements.txt ===
urllib3
requests
restkit

=== debian/changelog ===
wsgiproxy2 (0.4.5-1) unstable; urgency=medium

  * Initial release. (Closes: #912705)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 03 Nov 2018 02:12:23 +0000

=== debian/control ===
Source: wsgiproxy2
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-webob,
               python3-six,
               python3-setuptools,
               python3-nose,
               python3-requests,
               python3-urllib3,
               python3-webtest
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.2.0
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/python-team/modules/wsgiproxy2
Vcs-Git: https://salsa.debian.org/python-team/modules/wsgiproxy2.git/
Homepage: https://github.com/gawel/wsgiproxy2

Package: python3-wsgiproxy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-webob,
         python3-six,
         python3-requests | python3-urllib3
Description: minimalist WSGI server implementation using async
 This package provides a simple Python implementation of the
 WSGI interface using the waitress pure Python HTTP implementation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --with=python3

override_dh_auto_test:
	# Avoid pybuild since it mucks with the http_proxy
	nosetests3

## wsgiproxy2 0.5.1

=== requirements.txt ===
urllib3
requests

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = ../bin/sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/wsgi_proxy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/wsgi_proxy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/wsgi_proxy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/wsgi_proxy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
wsgiproxy2 (0.5.1-3) unstable; urgency=medium

  * Team upload.
  * Replace Nose with Pytest (Closes: #1018665)
  * Use new dh-sequence-python3
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Tue, 06 Aug 2024 15:28:41 +0200

wsgiproxy2 (0.5.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 03:46:53 +0100

wsgiproxy2 (0.5.1-1) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Add upstream metadata.

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove obsolete fields Name from debian/upstream/metadata.

  [ Boyuan Yang ]
  * New upstream version 0.5.1.
  * debian/control: Drop stale dependency on python3-six.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Bump debhelper compat to v13.
  * debian/watch: Added.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Jun 2022 10:23:31 -0400

=== debian/control ===
Source: wsgiproxy2
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-webob,
               python3-setuptools,
               python3-pytest <!nocheck>,
               python3-requests,
               python3-urllib3,
               python3-webtest
Rules-Requires-Root: no
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.6.1
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/wsgiproxy2
Vcs-Git: https://salsa.debian.org/python-team/packages/wsgiproxy2.git
Homepage: https://github.com/gawel/wsgiproxy2

Package: python3-wsgiproxy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-webob,
         python3-requests | python3-urllib3
Description: minimalist WSGI server implementation using async
 This package provides a simple Python implementation of the
 WSGI interface using the waitress pure Python HTTP implementation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# Avoid pybuild since it mucks with the http_proxy
	pytest
